"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CheckboxList = void 0;
const react_1 = __importDefault(require("react"));
const theme_ui_1 = require("theme-ui");
exports.CheckboxList = react_1.default.forwardRef((props) => {
    return (react_1.default.createElement(theme_ui_1.Flex, { sx: {
            flexWrap: 'wrap',
            justifyContent: 'flex-start',
        } }, props.options.map((option, index) => {
        return (react_1.default.createElement(theme_ui_1.Label, { key: option.id ? option.id : index },
            react_1.default.createElement(theme_ui_1.Checkbox, { id: option.id ? option.id : index.toString(), disabled: props.disabled, defaultChecked: option.checked, onChange: (event) => {
                    const dataToUpdate = props.options.find((val) => val.id === event.target.id);
                    if (dataToUpdate) {
                        dataToUpdate.checked = event.target.checked;
                        props.onChange(dataToUpdate);
                    }
                } }),
            option.value));
    })));
});
//# sourceMappingURL=CheckboxList.js.map