"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.EditorMarkButton = void 0;
const react_1 = __importDefault(require("react"));
const slate_react_1 = require("slate-react");
const editor_helpers_1 = require("../editor-helpers");
const EditorIcon_1 = require("./EditorIcon");
const EditorStateButton_1 = require("./EditorStateButton");
exports.EditorMarkButton = ({ format, icon, }) => {
    const editor = slate_react_1.useSlate();
    return (react_1.default.createElement(EditorStateButton_1.EditorStateButton, { active: editor_helpers_1.isMarkActive(editor, format), onMouseDown: (event) => {
            event.preventDefault();
            editor_helpers_1.toggleMark(editor, format);
        } },
        react_1.default.createElement(EditorIcon_1.EditorIcon, null, icon)));
};
//# sourceMappingURL=EditorMarkButton.js.map