"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FileUploadPreview = void 0;
const theme_ui_1 = require("theme-ui");
const TrashIcon_1 = __importDefault(require("../../../icons/TrashIcon"));
const styles = {
    width: 6,
    height: 6,
    borderRadius: '16px',
    overflow: 'hidden',
    mr: 3,
    mt: 4,
    position: 'relative',
    '.remove-button': {
        cursor: 'pointer',
        position: 'absolute',
        top: '8px',
        right: '8px',
        height: '24px',
        opacity: 0,
        transition: 'opacity 200ms',
    },
    '&:hover': {
        '.remove-button': {
            opacity: 1,
        },
    },
};
exports.FileUploadPreview = ({ file, onRemove, }) => (theme_ui_1.jsx("div", { sx: styles },
    onRemove && (theme_ui_1.jsx(TrashIcon_1.default, { className: "remove-button", onClick: () => onRemove(file) })),
    theme_ui_1.jsx(theme_ui_1.Image, { src: file.url })));
//# sourceMappingURL=FileUploadPreview.js.map