"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PrefilledInput = void 0;
/** @jsx jsx */
/* eslint react/jsx-key: 0 */
const react_1 = __importStar(require("react"));
const theme_ui_1 = require("theme-ui");
const prefilled_input_props_1 = require("./prefilled-input-props");
exports.PrefilledInput = react_1.default.forwardRef((_a, ref) => {
    var { value = '', prefilledText, label, name, prefilledTextPosition = prefilled_input_props_1.TextPosition.RIGHT, placeholder } = _a, props = __rest(_a, ["value", "prefilledText", "label", "name", "prefilledTextPosition", "placeholder"]);
    const spanRef = react_1.default.createRef();
    const [inputRef, setInputRef] = react_1.useState(null);
    const [focused, setFocus] = react_1.useState(false);
    const [inputWidth, setInputWidth] = react_1.useState();
    react_1.useEffect(() => {
        if (!spanRef.current) {
            setInputWidth('auto');
            return;
        }
        if (placeholder && placeholder.length !== 0) {
            spanRef.current.textContent = placeholder;
        }
        else if (value && value.length !== 0) {
            spanRef.current.textContent = value;
        }
        setInputWidth(spanRef.current.offsetWidth + 'px');
    }, []);
    const onChange = (event) => {
        // the hidden span takes the value of the input;
        if (spanRef.current) {
            let inputWidth = 'auto';
            if (event.target.value.length !== 0) {
                spanRef.current.textContent = event.target.value;
                inputWidth = spanRef.current.offsetWidth + 'px';
            }
            else if (placeholder && placeholder.length !== 0) {
                spanRef.current.textContent = placeholder;
                inputWidth = spanRef.current.offsetWidth + 'px';
            }
            setInputWidth(inputWidth); // apply width of the span to the input
        }
        //setInputText(event.target.value);
        if (props.onChange) {
            props.onChange(event);
        }
    };
    const onFocus = (event) => {
        setFocus(true);
        if (props.onFocus) {
            props.onFocus(event);
        }
    };
    const onBlur = (event) => {
        setFocus(false);
        if (props.onFocus) {
            props.onFocus(event);
        }
    };
    return (theme_ui_1.jsx(theme_ui_1.Flex, { sx: { alignItems: 'center' } },
        name && label && (theme_ui_1.jsx(theme_ui_1.Label, { htmlFor: name, sx: { width: 'auto', minWidth: '8.75rem', flexGrow: 1 } }, label)),
        theme_ui_1.jsx(theme_ui_1.Container, { sx: {
                cursor: 'pointer',
                borderRadius: '23px',
                border: '1px solid',
                borderColor: focused || value.length !== 0 ? 'gray0' : 'gray1',
                px: 3,
                py: '0.812rem',
                flexGrow: 3,
            }, onClick: () => inputRef === null || inputRef === void 0 ? void 0 : inputRef.focus() },
            theme_ui_1.jsx(theme_ui_1.Flex, { sx: {
                    flexDirection: prefilledTextPosition === prefilled_input_props_1.TextPosition.RIGHT
                        ? 'row-reverse'
                        : 'row',
                } },
                theme_ui_1.jsx(theme_ui_1.Text, { sx: {
                        m: '0 5px 0 5px',
                        flex: prefilledTextPosition === prefilled_input_props_1.TextPosition.RIGHT
                            ? '1 0 auto'
                            : '0 1 auto',
                    } }, prefilledText),
                theme_ui_1.jsx(theme_ui_1.Input, { sx: {
                        width: inputWidth,
                        border: 'none',
                        borderColor: 'inherit',
                        boxShadow: 'none',
                        padding: 0,
                        borderRadius: 0,
                    }, ref: (node) => {
                        setInputRef(node);
                        if (typeof ref === 'function') {
                            ref(node);
                        }
                        else if (ref) {
                            ref.current = node;
                        }
                    }, type: "text", placeholder: placeholder, value: value, name: name, onChange: onChange, onFocus: onFocus, onBlur: onBlur }),
                theme_ui_1.jsx("span", { ref: spanRef, sx: {
                        position: 'absolute',
                        left: '-9999px',
                        top: '-9999px',
                    } }, value)))));
});
//# sourceMappingURL=PrefilledInput.js.map