"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.InputTags = void 0;
/** @jsx jsx */
const react_1 = require("react");
const theme_ui_1 = require("theme-ui");
const react_tag_autocomplete_1 = __importDefault(require("react-tag-autocomplete"));
const icons_1 = require("../../icons");
const styles_1 = __importDefault(require("./styles"));
const defaultProps = {
    tags: [],
    suggestions: [],
    allowNew: true,
    onChange: () => null,
    placeholderText: '',
    minQueryLength: 1,
};
exports.InputTags = (props) => {
    const { tags = [], suggestions = [], allowNew, onChange = () => null, prefix } = props, rest = __rest(props, ["tags", "suggestions", "allowNew", "onChange", "prefix"]);
    const onAddition = (tag) => onChange([...tags, tag]);
    const onDelete = (idx) => {
        const newTags = tags.slice(0);
        newTags.splice(idx, 1);
        onChange(newTags);
    };
    const reactTagsRef = react_1.useRef(null);
    const onClear = () => {
        if (reactTagsRef && reactTagsRef.current) {
            reactTagsRef.current.clearInput();
            onChange([]);
        }
    };
    return (theme_ui_1.jsx(theme_ui_1.Container, { className: `tabetalt-input-tags__wrapper ${!!prefix && 'has-prefix'}`, sx: styles_1.default },
        !!prefix && theme_ui_1.jsx("div", { className: "tabetalt-input-tags__prefix" }, prefix),
        theme_ui_1.jsx(react_tag_autocomplete_1.default, Object.assign({ ref: reactTagsRef, tags: tags, suggestions: suggestions, allowNew: allowNew, onDelete: onDelete, onAddition: onAddition, classNames: {
                root: 'tabetalt-input-tags',
                rootFocused: 'is-focused',
                selected: 'tabetalt-input-tags__selected',
                selectedTag: 'tabetalt-input-tags__selected-tag',
                selectedTagName: 'tabetalt-input-tags__selected-tag-name',
                search: 'tabetalt-input-tags__search',
                searchWrapper: 'tabetalt-input-tags__search-wrapper',
                searchInput: 'tabetalt-input-tags__search-input',
                suggestions: 'tabetalt-input-tags__suggestions',
                suggestionActive: 'is-active',
                suggestionDisabled: 'is-disabled',
            } }, rest)),
        (tags === null || tags === void 0 ? void 0 : tags.length) > 0 && (theme_ui_1.jsx(icons_1.TrashIcon, { onClick: onClear, size: 24, sx: { position: 'absolute', top: 12, right: 24, cursor: 'pointer' } }))));
};
exports.InputTags.defaultProps = defaultProps;
exports.InputTags.displayName = 'InputTags';
//# sourceMappingURL=InputTags.js.map