"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LoaderButton = void 0;
/** @jsx jsx */
const react_1 = __importStar(require("react"));
const theme_ui_1 = require("theme-ui");
const theme_ui_2 = require("theme-ui");
const LoaderIcon_1 = require("../LoaderIcon/LoaderIcon");
exports.LoaderButton = react_1.default.forwardRef((_a, ref) => {
    var { initialChildren, completedChildren, onClick } = _a, props = __rest(_a, ["initialChildren", "completedChildren", "onClick"]);
    const [isLoading, setIsLoading] = react_1.useState(false);
    const [showLoader, setShowLoader] = react_1.useState(false);
    const [text, setText] = react_1.useState(initialChildren);
    react_1.useEffect(() => {
        if (!isLoading) {
            setTimeout(() => {
                setShowLoader(false);
                setText(initialChildren);
            }, 5000);
        }
    }, [isLoading, text, initialChildren]);
    const isCompleted = showLoader && !isLoading;
    return (theme_ui_2.jsx(theme_ui_1.Button, Object.assign({ ref: ref, onClick: (event) => {
            setShowLoader(true);
            setIsLoading(true);
            return (onClick &&
                onClick(event, () => {
                    setIsLoading(false);
                    setText(completedChildren);
                }));
        }, sx: {
            '&:disabled,&[disabled]': {
                color: 'white',
                bg: isCompleted ? 'success' : 'primary',
            },
            display: 'flex',
            alignItems: 'center',
        }, disabled: showLoader }, props),
        theme_ui_2.jsx(theme_ui_1.Text, null, text),
        showLoader && (theme_ui_2.jsx(LoaderIcon_1.LoaderIcon, { sx: { color: 'white', height: '1rem', ml: 2 }, isCompleted: isCompleted }))));
});
//# sourceMappingURL=LoaderButton.js.map