"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.OptionView = void 0;
/** @jsx jsx */
const react_1 = require("react");
const theme_ui_1 = require("theme-ui");
const EyeIcon_1 = __importDefault(require("../../icons/EyeIcon"));
const LoaderButton_1 = require("../LoaderButton/LoaderButton");
exports.OptionView = (_a) => {
    var { children, highlighted = false, contentName, completedText, loadingText, previewText, onSelectClick = (_, done) => {
        setTimeout(() => {
            done();
            setSelected(false);
        }, 1000);
    }, onPreviewClick = () => { } } = _a, props = __rest(_a, ["children", "highlighted", "contentName", "completedText", "loadingText", "previewText", "onSelectClick", "onPreviewClick"]);
    const [loaderText, setLoaderText] = react_1.useState(loadingText);
    const [selected, setSelected] = react_1.useState(highlighted);
    return (theme_ui_1.jsx(theme_ui_1.Container, Object.assign({ sx: {
            textAlign: 'center',
        } }, props),
        theme_ui_1.jsx(theme_ui_1.Text, { sx: {
                color: 'gray0',
                font: 'normal normal normal 15px/20px DM Sans',
                marginBottom: '15px',
            } }, contentName),
        theme_ui_1.jsx(theme_ui_1.Container, { sx: {
                border: selected ? '3px solid success' : '1px solid gray0;',
                borderRadius: '20px',
                width: '317px',
                height: '312px',
                cursor: 'pointer',
            }, onClick: () => setSelected(!selected) }, children),
        theme_ui_1.jsx(theme_ui_1.Flex, { sx: {
                justifyContent: 'center',
                marginTop: '15px',
            } },
            theme_ui_1.jsx(theme_ui_1.Button, { variant: "outline", onClick: (event) => onPreviewClick(event), sx: { marginRight: '13px' } },
                theme_ui_1.jsx(theme_ui_1.Flex, null,
                    previewText,
                    " ",
                    theme_ui_1.jsx(EyeIcon_1.default, { size: 20, sx: { margin: '1px 0 0 9px' } }))),
            theme_ui_1.jsx(LoaderButton_1.LoaderButton, { initialChildren: loaderText, completedChildren: completedText, onClick: (event, done) => {
                    setLoaderText(completedText);
                    setSelected(true);
                    onSelectClick(event, done);
                } }))));
};
//# sourceMappingURL=OptionView.js.map