"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !exports.hasOwnProperty(p)) __createBinding(exports, m, p);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Table = void 0;
const theme_ui_1 = require("theme-ui");
const react_table_1 = require("react-table");
__exportStar(require("react-table"), exports);
const styles = {
    table: { borderCollapse: 'collapse', width: '100%' },
    thead: { bg: 'highlight' },
    tr: {
        bg: '#FAFAFA',
        borderBottom: '1px solid',
        borderBottomColor: 'highlight',
        '&:last-child': {
            border: '0',
        },
    },
    th: { p: 3, textAlign: 'left', fontWeight: 'normal' },
    td: { p: 3 },
};
exports.Table = ({ options, plugins }) => {
    const tableInstance = react_table_1.useTable(options, ...(plugins || []));
    const { getTableProps, getTableBodyProps, headerGroups, rows, prepareRow, } = tableInstance;
    return (theme_ui_1.jsx("table", Object.assign({}, getTableProps(), { sx: styles.table }),
        theme_ui_1.jsx("thead", { sx: styles.thead }, headerGroups.map((headerGroup) => (theme_ui_1.jsx("tr", Object.assign({}, headerGroup.getHeaderGroupProps()), headerGroup.headers.map((column) => {
            const thSx = Object.assign(Object.assign({}, styles.th), { width: column.width, minWidth: column.minWidth, maxWidth: column.maxWidth });
            return (theme_ui_1.jsx("th", Object.assign({}, column.getHeaderProps(), { sx: thSx }), column.render('Header')));
        }))))),
        theme_ui_1.jsx("tbody", Object.assign({}, getTableBodyProps()), rows.map((row) => {
            prepareRow(row);
            return (theme_ui_1.jsx("tr", Object.assign({}, row.getRowProps(), { sx: styles.tr }), row.cells.map((cell) => (theme_ui_1.jsx("td", Object.assign({}, cell.getCellProps(), { sx: styles.td }), cell.render('Cell'))))));
        }))));
};
exports.Table.defaultProps = {
    plugins: [],
};
//# sourceMappingURL=Table.js.map