"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const sharedInputStyles = {
    fontFamily: 'body',
    borderRadius: '23px',
    border: '1px solid',
    borderColor: 'gray1',
    px: 3,
    py: '0.812rem',
    '&:focus,&:not(:placeholder-shown)': {
        outline: 'none',
        borderColor: 'gray0',
    },
    '::placeholder,:-ms-input-placeholder,::-ms-input-placeholder': {
        color: 'gray0',
    },
    '&:disabled,&[disabled]': {
        bg: 'highlight',
        color: 'muted',
    },
};
const forms = {
    checkbox: {
        'input:checked ~ &': { color: 'secondary' },
        'input:disabled ~ &': {
            color: 'gray1',
            bg: 'gray2',
        },
    },
    radio: {
        'input:checked ~ &': { color: 'secondary' },
        'input:disabled ~ &': {
            color: 'gray1',
            bg: 'gray2',
        },
    },
    select: Object.assign(Object.assign({}, sharedInputStyles), { '& + svg': {
            ml: '-3.125rem',
        } }),
    input: Object.assign({}, sharedInputStyles),
    textarea: Object.assign({}, sharedInputStyles),
};
forms.error = Object.assign(Object.assign({}, forms.input), { borderColor: 'error', '&:focus,&:not(:placeholder-shown)': {
        outline: 'none',
        borderColor: 'error',
    } });
exports.default = forms;
//# sourceMappingURL=forms.js.map