"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const badges_1 = __importDefault(require("./badges"));
const buttons_1 = __importDefault(require("./buttons"));
const styles_1 = __importDefault(require("./styles"));
const forms_1 = __importDefault(require("./forms"));
const colors_1 = __importDefault(require("./colors"));
const links_1 = __importDefault(require("./links"));
const theme = {
    breakpoints: ['40em', '52em', '64em'],
    space: [0, 4, 8, 16, 32, 64, 128, 256, 512],
    sizes: [0, 4, 8, 16, 32, 64, 128, 256, 512, 1024, 2048],
    fonts: {
        body: '"DM Sans", system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", sans-serif',
        heading: 'inherit',
        monospace: 'Menlo, monospace',
    },
    fontSizes: [
        '0.71rem',
        '1rem',
        '1.5rem',
        '2rem',
        '3rem',
        '4rem',
        '4.5rem',
        '5rem',
    ],
    fontWeights: {
        body: 400,
        heading: 700,
        bold: 700,
    },
    lineHeights: {
        body: 1.5,
        heading: 1.125,
    },
    text: {
        heading: {
            fontFamily: 'heading',
            lineHeight: 'heading',
            fontWeight: 'heading',
        },
    },
    links: links_1.default,
    colors: colors_1.default,
    badges: badges_1.default,
    buttons: buttons_1.default,
    forms: forms_1.default,
    styles: styles_1.default,
};
exports.default = theme;
//# sourceMappingURL=index.js.map