import { jsx, Image } from 'theme-ui';
import TrashIcon from '../../../icons/TrashIcon';
const styles = {
    width: 6,
    height: 6,
    borderRadius: '16px',
    overflow: 'hidden',
    mr: 3,
    mt: 4,
    position: 'relative',
    '.remove-button': {
        cursor: 'pointer',
        position: 'absolute',
        top: '8px',
        right: '8px',
        height: '24px',
        opacity: 0,
        transition: 'opacity 200ms',
    },
    '&:hover': {
        '.remove-button': {
            opacity: 1,
        },
    },
};
export const FileUploadPreview = ({ file, onRemove, }) => (jsx("div", { sx: styles },
    onRemove && (jsx(TrashIcon, { className: "remove-button", onClick: () => onRemove(file) })),
    jsx(Image, { src: file.url })));
//# sourceMappingURL=FileUploadPreview.js.map