var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
/** @jsx jsx */
import { useRef } from 'react';
import { Container, jsx } from 'theme-ui';
import ReactTags from 'react-tag-autocomplete';
import { TrashIcon } from '../../icons';
import styles from './styles';
const defaultProps = {
    tags: [],
    suggestions: [],
    allowNew: true,
    onChange: () => null,
    placeholderText: '',
    minQueryLength: 1,
};
export const InputTags = (props) => {
    const { tags = [], suggestions = [], allowNew, onChange = () => null, prefix } = props, rest = __rest(props, ["tags", "suggestions", "allowNew", "onChange", "prefix"]);
    const onAddition = (tag) => onChange([...tags, tag]);
    const onDelete = (idx) => {
        const newTags = tags.slice(0);
        newTags.splice(idx, 1);
        onChange(newTags);
    };
    const reactTagsRef = useRef(null);
    const onClear = () => {
        if (reactTagsRef && reactTagsRef.current) {
            reactTagsRef.current.clearInput();
            onChange([]);
        }
    };
    return (jsx(Container, { className: `tabetalt-input-tags__wrapper ${!!prefix && 'has-prefix'}`, sx: styles },
        !!prefix && jsx("div", { className: "tabetalt-input-tags__prefix" }, prefix),
        jsx(ReactTags, Object.assign({ ref: reactTagsRef, tags: tags, suggestions: suggestions, allowNew: allowNew, onDelete: onDelete, onAddition: onAddition, classNames: {
                root: 'tabetalt-input-tags',
                rootFocused: 'is-focused',
                selected: 'tabetalt-input-tags__selected',
                selectedTag: 'tabetalt-input-tags__selected-tag',
                selectedTagName: 'tabetalt-input-tags__selected-tag-name',
                search: 'tabetalt-input-tags__search',
                searchWrapper: 'tabetalt-input-tags__search-wrapper',
                searchInput: 'tabetalt-input-tags__search-input',
                suggestions: 'tabetalt-input-tags__suggestions',
                suggestionActive: 'is-active',
                suggestionDisabled: 'is-disabled',
            } }, rest)),
        (tags === null || tags === void 0 ? void 0 : tags.length) > 0 && (jsx(TrashIcon, { onClick: onClear, size: 24, sx: { position: 'absolute', top: 12, right: 24, cursor: 'pointer' } }))));
};
InputTags.defaultProps = defaultProps;
InputTags.displayName = 'InputTags';
//# sourceMappingURL=InputTags.js.map