var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
/** @jsx jsx */
import React, { useEffect, useState } from 'react';
import { Button, Text } from 'theme-ui';
import { jsx } from 'theme-ui';
import { LoaderIcon } from '../LoaderIcon/LoaderIcon';
export const LoaderButton = React.forwardRef((_a, ref) => {
    var { initialChildren, completedChildren, onClick } = _a, props = __rest(_a, ["initialChildren", "completedChildren", "onClick"]);
    const [isLoading, setIsLoading] = useState(false);
    const [showLoader, setShowLoader] = useState(false);
    const [text, setText] = useState(initialChildren);
    useEffect(() => {
        if (!isLoading) {
            setTimeout(() => {
                setShowLoader(false);
                setText(initialChildren);
            }, 5000);
        }
    }, [isLoading, text, initialChildren]);
    const isCompleted = showLoader && !isLoading;
    return (jsx(Button, Object.assign({ ref: ref, onClick: (event) => {
            setShowLoader(true);
            setIsLoading(true);
            return (onClick &&
                onClick(event, () => {
                    setIsLoading(false);
                    setText(completedChildren);
                }));
        }, sx: {
            '&:disabled,&[disabled]': {
                color: 'white',
                bg: isCompleted ? 'success' : 'primary',
            },
            display: 'flex',
            alignItems: 'center',
        }, disabled: showLoader }, props),
        jsx(Text, null, text),
        showLoader && (jsx(LoaderIcon, { sx: { color: 'white', height: '1rem', ml: 2 }, isCompleted: isCompleted }))));
});
//# sourceMappingURL=LoaderButton.js.map