var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from 'react';
import { Label, Flex, Container } from 'theme-ui';
import { getMargin, omitMargin } from '../util';
export const StatusLabel = React.forwardRef((_a, ref) => {
    var { label, active, name } = _a, props = __rest(_a, ["label", "active", "name"]);
    return (React.createElement(Flex, Object.assign({}, getMargin(props), { sx: { alignItems: 'center' } }),
        React.createElement(Container, Object.assign({ ref: ref, id: name, name: name }, omitMargin(props), { sx: {
                flexGrow: 0,
                width: '16px',
                height: '15px',
                m: '6px',
                backgroundColor: active ? 'success' : 'error',
                borderRadius: '50%',
            } })),
        React.createElement(Label, { htmlFor: name, sx: { width: 'auto', minWidth: '8.75rem', flexGrow: 3 } }, label)));
});
//# sourceMappingURL=StatusLabel.js.map