import { jsx } from 'theme-ui';
import { useTable } from 'react-table';
export * from 'react-table';
const styles = {
    table: { borderCollapse: 'collapse', width: '100%' },
    thead: { bg: 'highlight' },
    tr: {
        bg: '#FAFAFA',
        borderBottom: '1px solid',
        borderBottomColor: 'highlight',
        '&:last-child': {
            border: '0',
        },
    },
    th: { p: 3, textAlign: 'left', fontWeight: 'normal' },
    td: { p: 3 },
};
export const Table = ({ options, plugins }) => {
    const tableInstance = useTable(options, ...(plugins || []));
    const { getTableProps, getTableBodyProps, headerGroups, rows, prepareRow, } = tableInstance;
    return (jsx("table", Object.assign({}, getTableProps(), { sx: styles.table }),
        jsx("thead", { sx: styles.thead }, headerGroups.map((headerGroup) => (jsx("tr", Object.assign({}, headerGroup.getHeaderGroupProps()), headerGroup.headers.map((column) => {
            const thSx = Object.assign(Object.assign({}, styles.th), { width: column.width, minWidth: column.minWidth, maxWidth: column.maxWidth });
            return (jsx("th", Object.assign({}, column.getHeaderProps(), { sx: thSx }), column.render('Header')));
        }))))),
        jsx("tbody", Object.assign({}, getTableBodyProps()), rows.map((row) => {
            prepareRow(row);
            return (jsx("tr", Object.assign({}, row.getRowProps(), { sx: styles.tr }), row.cells.map((cell) => (jsx("td", Object.assign({}, cell.getCellProps(), { sx: styles.td }), cell.render('Cell'))))));
        }))));
};
Table.defaultProps = {
    plugins: [],
};
//# sourceMappingURL=Table.js.map